curl --request GET \
--url https://api.plane.com/v1/locations \
--header 'Authorization: Bearer <token>'{
"locations": [
{
"id": "loc_cNqYX2J3s9bI2Aa",
"address": {
"line1": "123 Main Street",
"line2": "Suite 100",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "US"
},
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
Returns a list of all work locations in your Plane workspace.
curl --request GET \
--url https://api.plane.com/v1/locations \
--header 'Authorization: Bearer <token>'{
"locations": [
{
"id": "loc_cNqYX2J3s9bI2Aa",
"address": {
"line1": "123 Main Street",
"line2": "Suite 100",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "US"
},
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
starting_after is an object ID that defines your place in the
list. For instance, if you make a list request and receive 100 objects, ending with obj_foo,
your subsequent call can include starting_after=obj_foo in order to fetch the next page of the
list.ending_before=obj_bar in order to fetch the previous page of the
list.locations property that contains an array of up to limit locations, starting after location starting_after.
Each entry in the array is a separate location object. If no more locations are available, the resulting array will be empty.
{
"locations": [
{
"id": "loc_cNqYX2J3s9bI2Aa",
"address": {
"line1": "123 Main Street",
"line2": "Suite 100",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "US"
},
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
Was this page helpful?